Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezarticle/admin/categoryedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: categoryedit.php 9801 2003-04-10 08:14:20Z br $
5 //
6 // Created on: <18-Sep-2000 14:46:19 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezhttptool.php" );
28
29 if ( isset( $Cancel ) )
30 {
31 eZHTTPTool::header( "Location: /article/archive/$categoryID/" );
32 exit();
33 }
34
35 // include_once( "classes/INIFile.php" );
36 // include_once( "classes/eztemplate.php" );
37 // include_once( "classes/ezcachefile.php" );
38 // include_once( "ezuser/classes/ezobjectpermission.php" );
39 // include_once( "ezbulkmail/classes/ezbulkmailcategory.php" );
40 // include_once( "ezsitemanager/classes/ezsection.php" );
41
42 // include_once( "ezarticle/classes/ezarticlegenerator.php" );
43 // include_once( "ezarticle/classes/ezarticlerenderer.php" );
44
45 $ini =& eZINI::instance( 'site.ini' );
46
47 $Language = $ini->variable( "eZArticleMain", "Language" );
48
49 // include_once( "ezarticle/classes/ezarticlecategory.php" );
50
51 $error = false;
52 $permissionError = false;
53
54 if ( isset( $Action ) && $Action == "new" )
55 {
56 $Name = '';
57 $Description = '';
58 $parentID = '';
59 $CategoryID = '';
60 $sectionID = '';
61 $ListLimit = '';
62 $editorGroupID = '';
63 }
64
65 if ( ( isset( $Action ) && $Action == "insert" ) || ( isset( $Action ) && $Action == "update" ) )
66 {
67 if ( ( $ParentID == 0 ) && ( eZPermission::checkPermission( $user, "eZArticle", "WriteToRoot" ) == false ) )
68 {
69 $permissionError = true;
70 $error = true;
71 }
72 }
73
74 // Get images from the image browse function.
75 if ( ( isset( $AddImages ) ) and ( is_numeric( $CategoryID ) ) and ( is_numeric( $ImageID ) ) )
76 {
77 $image = new eZImage( $ImageID );
78 $category = new eZArticleCategory( $CategoryID );
79 $category->setImage( $image );
80 $category->store();
81 $Action = "edit";
82 }
83
84 // Direct actions
85 if ( $Action == "insert" && !$error )
86 {
87 // clear the menu cache
88 $files = eZCacheFile::files( "kernel/ezarticle/cache/",
89 array( "menubox", NULL, NULL, NULL ),
90 "cache", "," );
91 foreach ( $files as $file )
92 {
93 $file->delete();
94 }
95
96
97 $category = new eZArticleCategory();
98 $category->setName( $Name );
99
100 $parentCategory = new eZArticleCategory();
101 if ( $parentCategory->get( $ParentID ) == true )
102 {
103 $category->setParent( $parentCategory );
104 }
105
106 //EP: CategoryDescriptionXML=enabled, description go in XML -------------------
107 if ( $ini->variable( "eZArticleMain", "CategoryDescriptionXML" ) == "enabled" )
108 {
109
110 $generator = new eZArticleGenerator();
111 $desc1 = array( $Description, "" );
112 $desc2 = $generator->generateXML( $desc1 );
113 $category->setDescription( $desc2 );
114 }
115 else
116 {
117 $category->setDescription( $Description );
118 }
119 //EP --------------------------------------------------------------------------
120
121 $category->setSectionID( $SectionID );
122 $category->setEditorGroup( $EditorGroupID );
123
124 if( isset( $ListLimit ) && $ListLimit != '' )
125 $category->setListLimit( $ListLimit );
126 $category->setSortMode( $SortMode );
127
128 if ( isset( $ExcludeFromSearch ) && $ExcludeFromSearch == "on" )
129 {
130 $category->setExcludeFromSearch( true );
131 }
132 else
133 {
134 $category->setExcludeFromSearch( false );
135 }
136
137 $file = new eZPBImageFile();
138 if ( $file->getUploadedFile( "ImageFile" ) )
139 {
140 $image = new eZImage();
141 $image->setName( "Image" );
142 $image->setImage( $file );
143
144 $image->store();
145 $category->setImage( $image );
146 }
147
148 $category->setOwner( eZUser::currentUser() );
149
150 $category->store();
151 $categoryID = $category->id();
152
153 if ( isset( $BulkMailID ) && $BulkMailID != -1 )
154 $category->setBulkMailCategory( $BulkMailID );
155 else
156 $category->setBulkMailCategory( false );
157
158 if ( $DeleteImage == "on" )
159 $category->setImage( 0 );
160
161 /* write access select */
162 if ( isset( $WriteGroupArray ) )
163 {
164 if ( $WriteGroupArray[0] == 0 )
165 {
166 eZObjectPermission::setPermission( -1, $categoryID, "article_category", 'w' );
167 }
168 else
169 {
170 eZObjectPermission::removePermissions( $categoryID, "article_category", 'w' );
171 foreach ( $WriteGroupArray as $groupID )
172 {
173 eZObjectPermission::setPermission( $groupID, $categoryID, "article_category", 'w' );
174 }
175 }
176 }
177 else
178 {
179 eZObjectPermission::removePermissions( $categoryID, "article_category", 'w' );
180 }
181
182 /* read access thingy */
183 if ( isset( $GroupArray ) )
184 {
185 if ( $GroupArray[0] == 0 )
186 {
187 eZObjectPermission::setPermission( -1, $categoryID, "article_category", 'r' );
188 }
189 else // some groups are selected.
190 {
191 eZObjectPermission::removePermissions( $categoryID, "article_category", 'r' );
192 foreach ( $GroupArray as $groupID )
193 {
194 eZObjectPermission::setPermission( $groupID, $categoryID, "article_category", 'r' );
195 }
196 }
197 }
198 else
199 {
200 eZObjectPermission::removePermissions( $categoryID, "article_category", 'r' );
201 }
202
203 $files =& eZCacheFile::files( "kernel/ezarticle/cache/",
204 array( "articlelist", $ParentID, NULL ),
205 "cache", "," );
206 foreach ( $files as $file )
207 {
208 $file->delete();
209 }
210
211 if ( isset( $Browse ) )
212 {
213 $session = eZSession::globalSession();
214 $session->setVariable( "SelectImages", "single" );
215 $session->setVariable( "ImageListReturnTo", "/article/categoryedit/edit/$categoryID/" );
216 $session->setVariable( "NameInBrowse", $category->name() );
217 eZHTTPTool::header( "Location: /imagecatalogue/browse/" );
218 exit();
219 }
220
221 eZHTTPTool::header( "Location: /article/archive/$categoryID/" );
222 exit();
223 }
224
225 if ( isset( $Action ) && $Action == "update" && !$error )
226 {
227 // clear the menu cache
228 $files = eZCacheFile::files( "kernel/ezarticle/cache/",
229 array( NULL, NULL, NULL, NULL ),
230 "cache", "," );
231 foreach ( $files as $file )
232 {
233 $file->delete();
234 }
235
236 $category = new eZArticleCategory();
237 $category->get( $CategoryID );
238 $category->setName( $Name );
239
240 $parentCategory = new eZArticleCategory();
241 if ( $parentCategory->get( $ParentID ) == true )
242 {
243 $category->setParent( $parentCategory );
244 }
245 else if ( $ParentID == 0 )
246 {
247 $category->setParent( 0 );
248 }
249
250 //EP: CategoryDescriptionXML=enabled, description go in XML -------------------
251 if ( $ini->variable( "eZArticleMain", "CategoryDescriptionXML" ) == "enabled" )
252 {
253
254 // $category->setDescription( htmlspecialchars ($Description) );
255 // $category->setDescription( $Description );
256
257 $generator = new eZArticleGenerator();
258 $desc1 = array( $Description, "" );
259 $desc2 = $generator->generateXML( $desc1 );
260
261 $category->setDescription( $desc2 );
262 }
263 else
264 {
265 $category->setDescription( $Description );
266 }
267 //EP --------------------------------------------------------------------------
268
269 $category->setSectionID( $SectionID );
270 $category->setEditorGroup( $EditorGroupID );
271
272 if( isset( $ListLimit ) && $ListLimit != '' )
273 $category->setListLimit( $ListLimit );
274
275 $category->setSortMode( $SortMode );
276
277 $file = new eZPBImageFile();
278 if ( $file->getUploadedFile( "ImageFile" ) )
279 {
280 $image = new eZImage( );
281 $image->setName( "Image" );
282 $image->setImage( $file );
283
284 $image->store();
285 $category->setImage( $image );
286 }
287
288 if ( isset( $DeleteImage ) && $DeleteImage == "on" )
289 $category->setImage( 0 );
290
291 if ( isset( $ExcludeFromSearch ) && $ExcludeFromSearch == "on" )
292 {
293 $category->setExcludeFromSearch( true );
294 }
295 else
296 {
297 $category->setExcludeFromSearch( false );
298 }
299
300
301 // $ownerGroup = new eZUserGroup( $OwnerID );
302 // if ( isset( $Recursive ) )
303 // $category->setOwnerGroup( $ownerGroup, true );
304 // else
305 // $category->setOwnerGroup( $ownerGroup, false );
306
307 $categoryID = $category->id();
308 /* write access select */
309 eZObjectPermission::removePermissions( $categoryID, "article_category", 'w' ); //not really necessary..
310 if ( isset( $WriteGroupArray ) )
311 {
312 if ( $WriteGroupArray[0] == 0 )
313 {
314 eZObjectPermission::setPermission( -1, $categoryID, "article_category", 'w' );
315 }
316 else
317 {
318 foreach ( $WriteGroupArray as $groupID )
319 {
320 eZObjectPermission::setPermission( $groupID, $categoryID, "article_category", 'w' );
321 }
322 }
323 }
324 else
325 {
326 eZObjectPermission::removePermissions( $categoryID, "article_category", 'w' );
327 }
328
329 /* read access thingy */
330 eZObjectPermission::removePermissions( $categoryID, "article_category", 'r' );
331 if ( isset( $GroupArray ) )
332 {
333 if ( $GroupArray[0] == 0 )
334 {
335 eZObjectPermission::setPermission( -1, $categoryID, "article_category", 'r' );
336 }
337 else // some groups are selected.
338 {
339 foreach ( $GroupArray as $groupID )
340 {
341 eZObjectPermission::setPermission( $groupID, $categoryID, "article_category", 'r' );
342 }
343 }
344 }
345 else
346 {
347 eZObjectPermission::removePermissions( $categoryID, "article_category", 'r' );
348 }
349
350 $category->store();
351
352 if ( isset( $BulkMailID ) && $BulkMailID != -1 )
353 $category->setBulkMailCategory( $BulkMailID );
354 else
355 $category->setBulkMailCategory( false );
356
357
358 $categoryID = $category->id();
359 $files =& eZCacheFile::files( "kernel/ezarticle/cache/",
360 array( "articlelist", array( $CategoryID, $ParentID ), NULL ),
361 "cache", "," );
362 foreach ( $files as $file )
363 {
364 $file->delete();
365 }
366
367 if ( isset( $Browse ) )
368 {
369 $session = eZSession::globalSession();
370 $session->setVariable( "SelectImages", "single" );
371 $session->setVariable( "ImageListReturnTo", "/article/categoryedit/edit/$categoryID/" );
372 eZHTTPTool::header( "Location: /imagecatalogue/browse/" );
373 exit();
374 }
375
376 eZHTTPTool::header( "Location: /article/archive/$ParentID/" );
377 exit();
378 }
379
380 if ( $Action == "delete" )
381 {
382 // clear the menu cache
383 $files = eZCacheFile::files( "kernel/ezarticle/cache/",
384 array( "menubox", NULL, NULL, NULL ),
385 "cache", "," );
386 foreach ( $files as $file )
387 {
388 $file->delete();
389 }
390
391 $category = new eZArticleCategory();
392 $category->get( $CategoryID );
393
394 $files =& eZCacheFile::files( "kernel/ezarticle/cache/",
395 array( "articlelist",
396 array( $CategoryID, $category->parent( false ) ), NULL ),
397 "cache", "," );
398 foreach ( $files as $file )
399 {
400 $file->delete();
401 }
402
403 $category->delete();
404
405 eZHTTPTool::header( "Location: /article/archive/" );
406 exit();
407 }
408
409 $t = new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
410 "kernel/ezarticle/admin/intl/", $Language, "categoryedit.php" );
411
412 $t->setAllStrings();
413
414 $t->set_file( "category_edit_tpl", "categoryedit.tpl" );
415
416
417 $t->set_block( "category_edit_tpl", "value_tpl", "value" );
418 $t->set_block( "category_edit_tpl", "category_owner_tpl", "category_owner" );
419 $t->set_block( "category_edit_tpl", "group_item_tpl", "group_item" );
420 $t->set_block( "category_edit_tpl", "editor_group_item_tpl", "editor_group_item" );
421 $t->set_block( "category_edit_tpl", "bulkmail_category_item_tpl", "bulkmail_category_item" );
422 $t->set_block( "category_edit_tpl", "section_item_tpl", "section_item" );
423 $t->set_block( "category_edit_tpl", "error_permission_tpl", "error_permission" );
424
425 $t->set_block( "category_edit_tpl", "image_item_tpl", "image_item" );
426
427 $category = new eZArticleCategory();
428
429 $categoryArray = $category->getAll( );
430
431 $t->set_var( "description_value", isset( $Description ) ? $Description : false );
432
433 $t->set_var( "name_value", isset( $Name ) ? $Name : false );
434 $t->set_var( "list_limit_value", isset( $ListLimit ) ? $ListLimit : false );
435 $t->set_var( "action_value", "insert" );
436 $t->set_var( "exclude_checked", "" );
437 $t->set_var( "all_selected", "selected" );
438 $t->set_var( "all_write_selected", "selected" );
439 $t->set_var( "bulkmail_category_item", "" );
440 $t->set_var( "no_bulkmail_selected", "selected" );
441
442 $t->set_var( "image_item", "" );
443 $t->set_var( "category_id", "" );
444
445 $writeGroupsID = array();
446 $readGroupsID = array();
447
448 if ( $permissionError )
449 $t->parse( "error_permission", "error_permission_tpl" );
450 else
451 $t->set_var( "error_permission", "" );
452
453 $t->set_var( "1_selected", "" );
454 $t->set_var( "2_selected", "" );
455 $t->set_var( "3_selected", "" );
456 $t->set_var( "4_selected", "" );
457 $t->set_var( "5_selected", "" );
458
459 // edit
460 if ( $Action == "edit" )
461 {
462 $category = new eZArticleCategory();
463 $category->get( $CategoryID );
464
465 $t->set_var( "name_value", $category->name() );
466 $t->set_var( "list_limit_value", $category->listLimit() ? $category->listLimit() : "" );
467
468 //EP: CategoryDescriptionXML=enabled, description go in XML -------------------------
469 if ( $ini->variable( "eZArticleMain", "CategoryDescriptionXML" ) == "enabled" )
470 {
471 $generator = new eZArticleGenerator();
472 $desc1 = $generator->decodeXML( $category->description( false ) );
473 $t->set_var( "description_value", $desc1[0] );
474 }
475 else
476 {
477 $t->set_var( "description_value", $category->description() );
478 }
479 //EP --------------------------------------------------------------------------------
480
481 $t->set_var( "action_value", "update" );
482 $t->set_var( "category_id", $category->id() );
483 $parent = $category->parent();
484
485 $sectionID = $category->sectionID();
486
487 // set the current sortmode to selected
488 $t->set_var( $category->sortMode( true ) . "_selected", "selected" );
489
490 $image =& $category->image();
491 if ( is_a( $image, "eZImage" ) && $image->id() != 0 )
492 {
493 $imageWidth =& $ini->variable( "eZArticleMain", "CategoryImageWidth" );
494 $imageHeight =& $ini->variable( "eZArticleMain", "CategoryImageHeight" );
495
496 $variation =& $image->requestImageVariation( $imageWidth, $imageHeight );
497
498 $imageURL = "/" . $variation->imagePath();
499 $imageWidth = $variation->width();
500 $imageHeight = $variation->height();
501 $imageCaption = $image->caption();
502
503 $t->set_var( "image_width", $imageWidth );
504 $t->set_var( "image_height", $imageHeight );
505 $t->set_var( "image_url", $imageURL );
506 $t->set_var( "image_caption", $imageCaption );
507 $t->parse( "image_item", "image_item_tpl" );
508 }
509
510 if ( is_object( $parent ) )
511 {
512 $parentID = $parent->id();
513 }
514
515 if ( $category->excludeFromSearch() == true )
516 {
517 $t->set_var( "exclude_checked", "checked" );
518 }
519
520 $writeGroupsID = eZObjectPermission::getGroups( $CategoryID, "article_category", 'w' , false );
521 $readGroupsID = eZObjectPermission::getGroups( $CategoryID, "article_category", 'r', false );
522
523 $editorGroupID = $category->editorGroup( false );
524
525 if ( $writeGroupsID[0] != -1 )
526 $t->set_var( "all_write_selected", "" );
527 if ( $readGroupsID[0] != -1 )
528 $t->set_var( "all_selected", "" );
529
530 // check bulkmail dep
531 $bulkMailCategoryID = $category->bulkMailCategory( false );
532 if ( $category == false )
533 $t->set_var( "no_bulkmail_selected", "selected" );
534 else
535 $t->set_var( "no_bulkmail_selected", "" );
536
537 }
538
539 $category = new eZArticleCategory();
540
541 $tree = $category->getTree();
542
543 foreach ( $tree as $item )
544 {
545 if ( eZObjectPermission::hasPermission( $item[0]->id(), "article_category", 'w' ) && $CategoryID != $item[0]->id() )
546 {
547 $t->set_var( "option_value", $item[0]->id() );
548 $t->set_var( "option_name", $item[0]->name() );
549
550 if ( $item[1] > 0 )
551 $t->set_var( "option_level", str_repeat( "&nbsp;", $item[1] ) );
552 else
553 $t->set_var( "option_level", "" );
554
555 if ( isset( $parentID ) && $item[0]->id() == $parentID )
556 {
557 $t->set_var( "selected", "selected" );
558 $selected = true;
559 }
560 else
561 {
562 $t->set_var( "selected", "" );
563 }
564
565 $t->parse( "value", "value_tpl", true );
566 }
567 }
568
569 // group selector
570 $group = new eZUserGroup();
571 $groupList = $group->getAll();
572
573 $t->set_var( "selected", "" );
574 foreach ( $groupList as $groupItem )
575 {
576 /* for the group owner selector */
577 $t->set_var( "module_owner_id", $groupItem->id() );
578 $t->set_var( "module_owner_name", $groupItem->name() );
579
580 if ( in_array( $groupItem->id(), $writeGroupsID ) )
581 $t->set_var( "is_selected", "selected" );
582 else
583 $t->set_var( "is_selected", "" );
584
585 $t->parse( "category_owner", "category_owner_tpl", true );
586
587 /* for the read access groups selector */
588 $t->set_var( "group_name", $groupItem->name() );
589 $t->set_var( "group_id", $groupItem->id() );
590
591 if ( in_array( $groupItem->id() , $readGroupsID ) )
592 $t->set_var( "selected", "selected" );
593 else
594 $t->set_var( "selected", "" );
595
596 $t->parse( "group_item", "group_item_tpl", true );
597
598 /* for the editor groups selector */
599 $t->set_var( "editor_group_name", $groupItem->name() );
600 $t->set_var( "editor_group_id", $groupItem->id() );
601
602 if ( $editorGroupID != 0 )
603 {
604 if ( $groupItem->id() == $editorGroupID )
605 $t->set_var( "editor_selected", "selected" );
606 else
607 $t->set_var( "editor_selected", "" );
608 }
609 else
610 $t->set_var( "no_selected", "selected" );
611
612 $t->parse( "editor_group_item", "editor_group_item_tpl", true );
613 }
614
615 $sectionList =& eZSection::getAll();
616
617 if ( count( $sectionList ) > 0 )
618 {
619 foreach ( $sectionList as $section )
620 {
621 $t->set_var( "section_id", $section->id() );
622 $t->set_var( "section_name", $section->name() );
623
624 if ( $sectionID == $section->id() )
625 $t->set_var( "section_is_selected", "selected" );
626 else
627 $t->set_var( "section_is_selected", "" );
628
629 $t->parse( "section_item", "section_item_tpl", true );
630 }
631 }
632 else
633 $t->set_var( "section_item", "" );
634
635 // bulkmail selector
636 $categories = eZBulkMailCategory::getAll();
637 foreach ( $categories as $categoryItem )
638 {
639 $t->set_var( "bulkmail_category_id", $categoryItem->id() );
640 $t->set_var( "bulkmail_category_name", $categoryItem->name() );
641
642 if ( isset( $bulkMailCategoryID ) && $bulkMailCategoryID == $categoryItem->id() )
643 $t->set_var( "bulkmail_selected", "selected" );
644 else
645 $t->set_var( "bulkmail_selected", "" );
646
647 $t->parse( "bulkmail_category_item", "bulkmail_category_item_tpl", true );
648 }
649
650 $t->pparse( "output", "category_edit_tpl" );
651
652 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$session
$session
Definition: admin/articlelist.php:44
$Description
$Description
Definition: articlelistrss.php:38
$files
$files
Definition: articlepreview.php:91
eZArticleCategory
Definition: ezarticlecategory.php:45
eZArticleGenerator
Definition: ezarticlegenerator.php:40
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZImage
Definition: ezimage.php:95
eZObjectPermission\hasPermission
static hasPermission( $objectID, $moduleTable, $permission, $user=false)
Definition: ezobjectpermission.php:76
eZObjectPermission\getGroups
static getGroups( $objectID, $moduleTable, $permission, $GroupReturn=true)
Definition: ezobjectpermission.php:365
eZObjectPermission\setPermission
static setPermission( $group, $objectID, $moduleTable, $permission)
Definition: ezobjectpermission.php:236
eZObjectPermission\removePermissions
static removePermissions( $objectID, $moduleTable, $permission)
Definition: ezobjectpermission.php:320
eZPBImageFile
Definition: ezpbimagefile.php:71
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZSection\getAll
static getAll( $offset=0, $limit=40)
Definition: ezsection.php:177
eZSession\globalSession
static & globalSession( $id="", $fetch=true)
Definition: kernel/ezsession/classes/ezsession.php:614
eZTemplate
Definition: eztemplate.php:107
eZUserGroup
Definition: ezusergroup.php:66
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$item
$item
Definition: classes/admin/linklist.php:228
$Action
$Action
Definition: companysearch.php:80
$ImageID
$ImageID
Definition: companytypelist.php:201
$writeGroupsID
$writeGroupsID
Definition: ezarticle/admin/categoryedit.php:445
$t
if(isset( $Action) && $Action=="new") if((isset( $Action) && $Action=="insert")||(isset( $Action) && $Action=="update")) if((isset( $AddImages)) and(is_numeric( $CategoryID)) and(is_numeric( $ImageID))) if( $Action=="insert" &&! $error) if(isset( $Action) && $Action=="update" &&! $error) if( $Action=="delete") $t
Definition: ezarticle/admin/categoryedit.php:409
$permissionError
$permissionError
Definition: ezarticle/admin/categoryedit.php:52
$group
foreach( $tree as $item) $group
Definition: ezarticle/admin/categoryedit.php:570
$tree
$tree
Definition: ezarticle/admin/categoryedit.php:541
$ini
if(isset( $Cancel)) $ini
Definition: ezarticle/admin/categoryedit.php:45
$groupList
$groupList
Definition: ezarticle/admin/categoryedit.php:571
$Language
$Language
Definition: ezarticle/admin/categoryedit.php:47
$sectionList
foreach( $groupList as $groupItem) $sectionList
Definition: ezarticle/admin/categoryedit.php:615
$category
$category
Definition: ezarticle/admin/categoryedit.php:427
$categoryArray
$categoryArray
Definition: ezarticle/admin/categoryedit.php:429
$error
$error
Definition: ezarticle/admin/categoryedit.php:51
$readGroupsID
$readGroupsID
Definition: ezarticle/admin/categoryedit.php:446
$categories
$categories
Definition: ezarticle/admin/categoryedit.php:636
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$SectionID
$SectionID
Definition: ezfilemanager/user/filelist.php:46
$groupID
$groupID
Definition: ezgroupeventcalendar/user/dayview.php:90
$section
$section
Definition: ezimagecatalogue/user/categoryedit.php:393
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
$ParentID
$ParentID
Definition: eztrade/admin/categorylist.php:171
exit
exit
Definition: folder.php:81
$Name
$Name
Definition: polledit.php:250
$categoryID
else $categoryID
Definition: productview.php:66
$ListLimit
$ListLimit
Definition: quizlist.php:38
$user
$user
Definition: user/adlist.php:39
$image
$image
Definition: user/articlelist.php:242
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.